Bug 103830 - Update port: science/py-scipy to 0.5.1
Summary: Update port: science/py-scipy to 0.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rong-En Fan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-30 00:40 UTC by Li-Lun Wang
Modified: 2006-11-15 06:00 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (4.30 KB, patch)
2006-09-30 00:40 UTC, Li-Lun Wang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Li-Lun Wang 2006-09-30 00:40:17 UTC
- Update to 0.5.1
- Depends on the new py-numpy rather than the obsolete py-numeric
- Depends on wxPython either 2.4 or 2.6
- Port maintainer CC'd

Modified files:
- science/py-scipy
- - Makefile
- - distinfo

Removed files:
- science/py-scipy/files
- - patch-scipy__core_scipy__base_fastumathmodule.c
- - patch-scipy__core_scipy__distutils_system__info.py
Comment 1 Edwin Groothuis freebsd_committer 2006-09-30 00:40:40 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback
Comment 2 Rong-En Fan freebsd_committer 2006-09-30 08:22:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rafan

Eat.
Comment 3 Diane Bruce 2006-09-30 22:59:40 UTC
On Fri, Sep 29, 2006 at 11:40:38PM +0000, Edwin Groothuis wrote:
> Maintainer of science/py-scipy,
>
> Please note that PR ports/103830 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/103830

Funnily enough, I have been looking at these ports as well,
both scipy and numpy.

The port looks ok but I would like to amend the Makefile
as given.


--- Makefile.save	Sat Sep 30 09:33:23 2006
+++ Makefile	Sat Sep 30 15:45:44 2006
@@ -12,6 +12,7 @@
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	scipy
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
+LATEST_LINK=	scipy

 MAINTAINER=	db@db.net
 COMMENT=	Scientific tools for Python
@@ -19,8 +20,7 @@
 BUILD_DEPENDS=	${PYTHON_SITELIBDIR}/numpy/core/numeric.py:${PORTSDIR}/math/py-numpy \
 		${LOCALBASE}/lib/libdjbfft.a:${PORTSDIR}/math/djbfft \
 		f2py:${PORTSDIR}/lang/f2py
-LIB_DEPENDS=	fftw.2:${PORTSDIR}/math/fftw \
-		atlas.1:${PORTSDIR}/math/atlas
+LIB_DEPENDS=	fftw.2:${PORTSDIR}/math/fftw
 .if exists(${PYTHON_SITELIBDIR}/wx.pth)
 BUILD_DEPENDS+=	${PYTHON_SITELIBDIR}/wx.pth:${PORTSDIR}/x11-toolkits/py-wxPython26
 .elif exists(${PYTHON_SITELIBDIR}/wx/__init__.py)
@@ -31,6 +31,7 @@

 USE_PYTHON=	2.3+
 USE_PYDISTUTILS=	yes
+OPTIONS=	ATLAS "Enable atlas" OFF

 post-patch:
 	@${GREP} -lR "malloc\.h" ${WRKSRC} | ${XARGS} ${REINPLACE_CMD} \
@@ -38,8 +39,15 @@

 .include <bsd.port.pre.mk>

+.if defined(WITH_ATLAS)
+LIB_DEPENDS+=	atlas.1:${PORTSDIR}/math/atlas
+.endif
 .if !exists(${LOCALBASE}/lib/libalapack.a)
 IGNORE=	Atlas needs to be built with WITH_STATICLIB for scipy to function properly
+.endif
+.if defined(WITHOUT_ATLAS)
+LIB_DEPENDS+=	lapack.3:${PORTSDIR}/math/lapack \
+		blas.1:${PORTSDIR}/math/blas
 .endif

 post-install:

(diff attached as well, in case my proxy munges it.)

i.e. It looks offhand to me that we can either compile py-scipy
with atlas or with blas and lapack. We should give the user the choice.

I'd like comments from  Li-Lun Wang (Leland Wang) <llwang@infor.org>
if this looks sane to him as well, then commit with the amended
Makefile after testing. I am testing my wsjt package now.

This port cannot be made into package easily because of its current
reliance on atlas, which is a huge time sink. I'd like to be able
to package this port without atlas.

Also there is a problem with the numpy port itself, which I have been
trying to clear up with tonymaher@optusnet.com.au

  File "/usr/local/lib/python2.4/site-packages/numpy/distutils/command/build_ext.py", line 252, in build_extension
    f_objects += self.fcompiler.compile(f_sources,
AttributeError: 'NoneType' object has no attribute 'compile'
gmake: *** [Audio.so] Error 1
...

I will take this off ports discussion and discuss with Leland and Tony
via e-mail. Please hold off on this patch for now.

--
- db@db.net http://www.db.net/~db
Comment 4 dfilter service freebsd_committer 2006-11-15 05:54:05 UTC
rafan       2006-11-15 05:54:00 UTC

  FreeBSD ports repository

  Modified files:
    science/py-scipy     Makefile distinfo pkg-descr 
  Removed files:
    science/py-scipy/files 
                           patch-scipy__core_scipy__base_fastumathmodule.c 
                           patch-scipy__core_scipy__distutils_system__info.py 
  Log:
  - Update to 0.5.1
  - Depends on newer NumPy
  - Depends on wxPython either 2.4 or 2.6
  
  PR:             ports/103830
  Submitted by:   Li-Lun Wang
  Approved by:    Diane Bruce (maintainer)
  
  Revision  Changes    Path
  1.10      +17 -16    ports/science/py-scipy/Makefile
  1.4       +3 -3      ports/science/py-scipy/distinfo
  1.2       +0 -15     ports/science/py-scipy/files/patch-scipy__core_scipy__base_fastumathmodule.c (dead)
  1.2       +0 -16     ports/science/py-scipy/files/patch-scipy__core_scipy__distutils_system__info.py (dead)
  1.2       +1 -1      ports/science/py-scipy/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Rong-En Fan freebsd_committer 2006-11-15 05:56:25 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!